Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.contact
Class EPPContactTransferCmd

    java.lang.Object
      com.verisign.epp.codec.gen.EPPCommand
          com.verisign.epp.codec.gen.EPPTransferCmd
              com.verisign.epp.codec.contact.EPPContactTransferCmd

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPContactTransferCmd

extends EPPTransferCmd

Represents an EPP Contact <transfer> command. The EPP <transfer> command provides a query operation that allows a client to determine real-time status of pending and completed transfer requests. In addition to the standard EPP command elements, the <transfer> command MUST contain an "op"; attribute with value "query", and a <contact:transfer> element that identifies the contact namespace and the location of the contact schema. The <contact:transfer> element MUST contain the following child elements:

- A <contact:id> element that contains the server-unique identifier of the contact object to be queried. Use `getId` and `setId` to get and set the element.
- An authorization information as described in [EPP]. Use `getAuthInfo` and `setAuthInfo` to get and set the element.

`EPPContactTransferResp` is the concrete `EPPReponse` associated with `EPPContactTransferCmd`.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPContactTransferResp`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPTransferCmd
`op`

Fields inherited from class com.verisign.epp.codec.gen.EPPCommand
`extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

Constructor Summary
`EPPContactTransferCmd()` Allocates a new `EPPContactTransferCmd` with default attribute values.
`EPPContactTransferCmd(java.lang.String aTransId, java.lang.String aOp, java.lang.String aId)` `EPPContactTransferCmd` constructor that takes the required attributes as arguments.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPContactTransferCmd`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPContactTransferCmd` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPContactTransferCmd` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPContactTransferCmd` with this instance.
`EPPAuthInfo` | `getAuthInfo()` Get authorization information.
`java.lang.String` | `getId()` Gets the contact id to query.
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPContactTransferCmd`.
`void` | `setAuthInfo(EPPAuthInfo newAuthInfo)` Set authorization information.
`void` | `setId(java.lang.String aId)` Sets the contact id to query.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPTransferCmd
`doGenDecode, doGenEncode, getOp, getType, setOp`

Methods inherited from class com.verisign.epp.codec.gen.EPPCommand
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPContactTransferCmd

    public EPPContactTransferCmd()

  Allocates a new `EPPContactTransferCmd` with default attribute values. the defaults include the following:
  - id is set to `null`
  - operation is set to to `null`
  - authorization information is set to to `null`
  The id, operation, and auth id must be set before invoking `encode`.

### EPPContactTransferCmd

    public EPPContactTransferCmd(java.lang.String aTransId,
                                 java.lang.String aOp,
                                 java.lang.String aId)

  `EPPContactTransferCmd` constructor that takes the required attributes as arguments.

  Parameters:
    `aTransId` - Transaction Id associated with the command.
    `aOp` - One of the `EPPCommand.OP_` constants associated with the transfer command.
    `aId` - Contact id to create.

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPContactTransferCmd`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Specified by:
    `getNamespace` in class `EPPCommand`
  Returns:
    `EPPContactMapFactory.NS`

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPContactTransferCmd` instance.

  Specified by:
    `doEncode` in class `EPPTransferCmd`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPContactTransferCmd` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPContactTransferCmd` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPContactTransferCmd` attributes from the aElement DOM Element tree.

  Specified by:
    `doDecode` in class `EPPTransferCmd`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPContactTransferCmd` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### getId

    public java.lang.String getId()

  Gets the contact id to query.

  Returns:
    Contact Id if defined; `null` otherwise.

### setId

    public void setId(java.lang.String aId)

  Sets the contact id to query.

  Parameters:
    `aId` - Contact Id

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPContactTransferCmd` with this instance.

  Overrides:
    `equals` in class `EPPTransferCmd`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPContactTransferCmd`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPTransferCmd`
  Returns:
    clone of `EPPContactTransferCmd`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPCommand`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getAuthInfo

    public EPPAuthInfo getAuthInfo()

  Get authorization information.

  Returns:
    EPPAuthInfo

### setAuthInfo

    public void setAuthInfo(EPPAuthInfo newAuthInfo)

  Set authorization information.

  Parameters:
    `newAuthInfo` - EPPAuthInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.